__init__.py 670 Bytes
Newer Older
1
# -*- coding: utf-8 -*-
2
from __future__ import (division, print_function, absolute_import, unicode_literals)
3

Daniel Scheffler's avatar
Daniel Scheffler committed
4
5
__version__ = '0.9.1'
__versionalias__ = '20171009_02'
Daniel Scheffler's avatar
Daniel Scheffler committed
6
__author__ = 'Daniel Scheffler'
7
8
9
10

# Validate GDAL version
try:
    import gdal
11
    import gdalnumeric
12
except ImportError:
13
    from osgeo import gdal
14
    from osgeo import gdalnumeric
15
16

try:
Daniel Scheffler's avatar
Daniel Scheffler committed
17
18
19
    getattr(gdal, 'Warp')
    getattr(gdal, 'Translate')
    getattr(gdalnumeric, 'OpenNumPyArray')
20
21
22
23
except AttributeError:
    import warnings
    warnings.warn("Your GDAL version is too old to support all functionalities of the 'py_tools_ds' package. "
                  "Please update GDAL!")
24
del gdal, gdalnumeric